Create a request (and optionally send it)
Create a request (and optionally send it). Reference for POST /v1/requests in the Sealio API: parameters and response fields.
/requestsAuthorization
apiKey sk_live_ca_… or sk_live_in_…, created in Settings → API keys.
In: header
Header Parameters
Retries with the same key within 24 hours return the first response.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
curl -X POST "https://example.com/requests" \ -H "Content-Type: application/json" \ -d '{ "client_ids": [ "string" ] }'{ "id": "string", "object": "request", "title": "string", "message": "string", "status": "draft", "due_date": "2019-08-24", "period": "string", "case_id": "string", "template_id": "string", "template_version": 0, "clients": [ { "id": "string", "name": "string", "email": "string" } ], "items": [ { "id": "string", "section": "string", "title": "string", "instructions": "string", "required": true, "file_kinds": [ "any" ], "max_size_mb": 0, "min_files": 0, "max_files": 0, "capture_expiry": true, "document_type_id": "string", "state": "to_upload" } ], "sent_at": "2019-08-24T14:15:22Z", "closed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Send a draft to its clients POST
Send a draft to its clients. Reference for POST /v1/requests/{id}/send in the Sealio API: parameters and response fields.
A 5-minute download link GET
A 5-minute download link. Reference for GET /v1/documents/{id}/download-url in the Sealio API: parameters and response fields.